#!/bin/bash
if [[ $HOSTNAME = *"occigen"* ]]; then
        source ../machines/occigen-bdw/env
elif [[ $HOSTNAME = *"jean-zay"* ]]; then
        source ../machines/jean-zay-cpu/env
elif [[ $HOSTNAME = *"irene"* ]]; then
        source ../machines/irene-amd/env
else
        echo "Hostname not recognized: abort"
        exit 1
fi
echo "*******************************************************************************************************************"
echo "* Validate Large case in $bench_dir/testcase_large/ *"
echo "*******************************************************************************************************************"
cd $bench_dir/testcase_large
echo "* ls -1 *.log" && ls -1 *.log
log_file=$1
if [ -z "$log_file" ]; then
	log_file=`ls -thlx1 run_* | awk 'NR < 2'`
        echo "* No argument provided (ex: ./validate run_%m-%d-%y-%H-%M-%S.log) -> validation of the last run named $log_file"
else
	echo "* Validation of the run named $log_file"
fi
start_t=`grep startup $log_file | awk '{ print $5 }'`
end_t=`grep "Total elapsed time:"  $log_file | awk '{ print $4 }'`
perf=`bc -l <<< $end_t-$start_t`

if [ -z "$perf" ] || [ -z "$end_t" ]
then
    echo "* Large bench is not validated"
else
    echo "* Large bench is validated:"
    echo "log file: $log_file"
    echo "end = $end_t s (total simulation time)"
    echo "perf = $perf s (total simulation time excluding initialization and i/o)"
fi
echo "*******************************************************************************************************************"
#TODO add a physical validation
